Skip to content

Get order details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the order details of the current user pool

Method name

ManagementClient.get_order_detail

Request parameters

NameTypeIs it requiredDefault valueDescriptionSample value
orderNostringYes-Order number2022080410062060e26f7fd6b9

Request Response

Type: CostGetOrderDetailRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a OrderItemResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "orderNo": "202209251234224",
    "status": "1: Unpaid, 2: Paid, 3: Completed, 4: Cancelled, 5: Expired",
    "orderType": "New: New Purchase, Upgrade: Upgrade, Renew: Renew, Overdue_Correct: Overdue Correction, Overflowed_Correct: Overdue Correction"
  }
}

Data Structure

OrderItem

NameTypeIs it required?DescriptionSample value
orderNostringYesOrder number202209251234224
goodsNamestringYesPackage name in Chinese
goodsNameEnstringYesPackage name in English
goodsUnitPricestringYesUnit price
quantitystringYesQuantity
actualAmountstringYesActual amount
statusstringYesOrder status1: Unpaid, 2: Paid, 3: Completed, 4: Cancelled, 5: Expired
orderTypestringyesOrder typeNew: New purchase, Upgrade: Upgrade, Renew: Renewal, Overdue_Correct: Overdue correction, Overflowed_Correct: Overflow correction
createTimestringyesCreation time
sourcestringyesLicence: License order, Offline: Offline transaction, Eadmin: Backstage activation, SelfHelp: Self-service order, Cdkey: Cdkey activity redemption

Agent infrastructure for identity, memory, and web action.